itpp::ACK_Channel Class Reference

ADD DOCUMENTATION HERE. More...

`#include <itpp/protocol/packet_channel.h>`

## Public Member Functions

| ACK_Channel ()
| ADD DOCUMENTATION HERE.
| ACK_Channel (const double Pr, const Ttype Delay)
| ADD DOCUMENTATION HERE.
| ~ACK_Channel ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Pr, const Ttype Delay)
| ADD DOCUMENTATION HERE.
void | set_errors (const ivec &Lost)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< ACK_Channel, ACK * > | input
| ADD DOCUMENTATION HERE.
Signal< ACK * > | output
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE.

Definition at line 105 of file packet_channel.h.

## Constructor & Destructor Documentation

## ACK_Channel() [1/2]

itpp::ACK_Channel::ACK_Channel | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 137 of file packet_channel.cpp.

## ACK_Channel() [2/2]

itpp::ACK_Channel::ACK_Channel | ( | const double | Pr,
|  | const Ttype | Delay )

ADD DOCUMENTATION HERE.

Definition at line 142 of file packet_channel.cpp.

References set_parameters().

## ~ACK_Channel()

itpp::ACK_Channel::~ACK_Channel | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 148 of file packet_channel.cpp.

## Member Function Documentation

## set_parameters()

void itpp::ACK_Channel::set_parameters | ( | const double | Pr,
|  | const Ttype | Delay )

ADD DOCUMENTATION HERE.

Definition at line 150 of file packet_channel.cpp.

References input, and it_assert.

Referenced by ACK_Channel().

## set_errors()

void itpp::ACK_Channel::set_errors | ( | const ivec & | Lost | ) |

ADD DOCUMENTATION HERE.

Definition at line 184 of file packet_channel.cpp.

References it_assert, and itpp::min().

## Member Data Documentation

## input

Slot<ACK_Channel, ACK*> itpp::ACK_Channel::input

ADD DOCUMENTATION HERE.

Definition at line 119 of file packet_channel.h.

Referenced by set_parameters().

## output

Signal<ACK*> itpp::ACK_Channel::output

ADD DOCUMENTATION HERE.

Definition at line 123 of file packet_channel.h.

The documentation for this class was generated from the following files:

- itpp/protocol/packet_channel.h
- itpp/protocol/packet_channel.cpp

Generated on for IT++ by Doxygen 1.15.0